> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate AML check PDF



## OpenAPI

````yaml /openapi/aml.yaml post /aml/checks/{id}/pdf/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: AML Checks
    description: Anti-money laundering check endpoints.
  - name: AML Monitorings
    description: Anti-money laundering monitoring endpoints.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /aml/checks/{id}/pdf/:
    post:
      tags:
        - AML Checks
      summary: Generate AML check PDF
      operationId: amlChecksPdfCreate
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this AML check.
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AmlCheckPdfRequest'
      responses:
        '200':
          content:
            application/pdf:
              schema:
                type: string
                format: binary
          description: ''
      security:
        - apiKeyPair: []
components:
  schemas:
    AmlCheckPdfRequest:
      type: object
      properties:
        password:
          type: string
          minLength: 1
  securitySchemes:
    apiKeyPair:
      type: http
      scheme: basic
      description: >-
        The request must contain basic auth headers where username is *API key*
        and password is *API secret*.<br>

        In order for you to start using our API you will need an **API key** and
        **API secret**.<br>

        Both can be retrieved by contacting *iDenfy's support* or *iDenfy's
        sales team*.

````